Cost Summary usage/cost summary
curl --request GET \
--url https://api.callaro.ai/api/v1/usage/cost_summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/usage/cost_summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/usage/cost_summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"partner_id": "<string>",
"partner_name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"session_id": "<string>",
"voice_session_db_id": "<string>",
"kind": "<string>",
"quantity": "<string>",
"duration_seconds": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Usage
Cost Summary usage/cost summary
From api/v1/usage#cost_summary in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
usage
/
cost_summary
Cost Summary usage/cost summary
curl --request GET \
--url https://api.callaro.ai/api/v1/usage/cost_summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/usage/cost_summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/usage/cost_summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"partner_id": "<string>",
"partner_name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"session_id": "<string>",
"voice_session_db_id": "<string>",
"kind": "<string>",
"quantity": "<string>",
"duration_seconds": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?